ModuleDependency (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.plugins.ide.idea.model

## Class ModuleDependency

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.ModuleDependency

- All Implemented Interfaces:
    `Dependency`

      public class ModuleDependency
      extends Object
      implements Dependency

  Represents an orderEntry of type module in the iml XML.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModuleDependency​(String name, String scope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToNode​(Node parentNode)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getName()` | The name of the module the module depends on.
    `String` | `getScope()` | The scope for this dependency.
    `int` | `hashCode()` |
    `boolean` | `isExported()` |
    `void` | `setExported​(boolean exported)` |
    `void` | `setName​(String name)` |
    `void` | `setScope​(String scope)` | The scope of this library.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleDependency

          public ModuleDependency​(String name,
                                  String scope)

  - ### Method Detail

    - #### getName

          public String getName()

      The name of the module the module depends on. Must not be null.

    - #### setName

          public void setName​(String name)

    - #### getScope

          public String getScope()

      The scope for this dependency. If null the scope attribute is not added.
      Specified by:
        `getScope` in interface `Dependency`

    - #### setScope

          public void setScope​(String scope)

      Description copied from interface: `Dependency`
      The scope of this library. If `null`, the scope attribute is not added.
      Specified by:
        `setScope` in interface `Dependency`

    - #### isExported

          public boolean isExported()

    - #### setExported

          public void setExported​(boolean exported)

    - #### addToNode

          public void addToNode​(Node parentNode)

      Specified by:
        `addToNode` in interface `Dependency`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`